<?php
/*
*  location: admin/controller
*/

class ControllerExtensionDExportImportModuleCategory extends Controller {

    private $codename = 'd_export_import';
    private $route = 'extension/d_export_import_module/category';
    
    private $extension = array();


    public function __construct($registry) {
        parent::__construct($registry);
        $this->load->model($this->route);
    }

    public function repair(){
        $this->{'model_extension_'.$this->codename.'_module_category'}->repairCategories();
    }
}